dbXML API

## com.dbxml.db.admin.nodes
Class DocumentsNode

    java.lang.Object
      com.dbxml.db.admin.nodes.AdminNode
          com.dbxml.db.admin.nodes.DocumentsNode

All Implemented Interfaces:
  HasChildren, HasCollection, HasMenu

public final class DocumentsNode
extends AdminNode
implements HasCollection, HasChildren, HasMenu

DocumentsNode

Field Summary
`static int` `ACTION_IMPORT`

Fields inherited from interface com.dbxml.db.admin.nodes.HasMenu
`REFRESH_CHILDREN, REFRESH_NONE, REFRESH_PARENT, REFRESH_SELF, REFRESH_TREE, REMOVE_SELF`

Constructor Summary
`DocumentsNode(AdminNode parentNode, CollectionClient col)`

Method Summary
`AdminNode[]` `getChildren()`
`CollectionClient` `getCollection()`
`javax.swing.Icon` `getIcon()`
`java.lang.String` `getLabel()`
`MenuItem[]` `getMenu()`
`int` `menuAction(int action)`

Methods inherited from class com.dbxml.db.admin.nodes.AdminNode
`close, getColor, getFont, getMenuTitle, getParentNode, getTooltip, isParentMenuInherited, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.dbxml.db.admin.nodes.HasMenu
`getMenuTitle`

Field Detail

### ACTION_IMPORT

    public static final int ACTION_IMPORT

See Also:
  Constant Field Values

Constructor Detail

### DocumentsNode

    public DocumentsNode(AdminNode parentNode,
                         CollectionClient col)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `AdminNode`

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `AdminNode`

### getCollection

    public CollectionClient getCollection()

  Specified by:
    `getCollection` in interface `HasCollection`

### getChildren

    public AdminNode[] getChildren()

  Specified by:
    `getChildren` in interface `HasChildren`

### getMenu

    public MenuItem[] getMenu()

  Specified by:
    `getMenu` in interface `HasMenu`

### menuAction

    public int menuAction(int action)

  Specified by:
    `menuAction` in interface `HasMenu`
  Overrides:
    `menuAction` in class `AdminNode`

dbXML API

Copyright (c) 2004 The dbXML Group